Skip to main content
`Ctrl`+`K`

# PCMGGalerkinSetMatProductAlgorithm

Set type of sparse matrix-matrix product for hypre’s BoomerAMG to use on GPUs

## Synopsis

    PetscErrorCode PCMGGalerkinSetMatProductAlgorithm(PC pc, const char name[])

Logically Collective

## Input Parameters

- pc - the hypre context

- name - one of ‘cusparse’, ‘hypre’

## Options Database Key

- -pc_mg_galerkin_mat_product_algorithm (cusparse|hypre) - Type of sparse matrix-matrix product to use in hypre

## Developer Note

How the name starts with `PCMG`, should it not be `PCHYPREBoomerAMG`?

## See Also

KSP: Linear System Solvers, `PCHYPRE`, `PCMGGalerkinGetMatProductAlgorithm()`

## Level

intermediate

## Location

src/ksp/pc/impls/hypre/hypre.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages